[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 1624

`public constructor TCustomListView.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for TCustomListView. It calls the inherited Create method, and allocates resources needed for the class instance.

Create sets the default values for properties and control style flags. It creates TChangeLink instances for the image lists in SmallImages, LargeImages, and StateImages. The change links are configured to use the ImageChange and ImageResolutionHandleDestroyed methods in their event handlers. It also creates the TCustomListViewEditor instance used to edit values in the list view control.

## See also

TWinControl.Create |  | Constructor for the class instance.